BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0



Name:		swixml
Summary:	SwiXml GUI generating engine
Url:		http://www.swixml.org/
Version:	1.5
Release:	alt1_0.b144.1jpp1.7
Epoch:		0
License:	BSD
Group:		Development/Java
%if ! %{gcj_support}
BuildArch:      noarch
%endif
Source0:	http://www.swixml.org/swixml_144.tar.bz2
Patch0:		swixml-1.5-build_xml.patch
Patch1:		swixml-1.5-MacApp.patch

BuildRequires: ant
BuildRequires: jdom
Requires: jdom
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description
SwiXml, is a small GUI generating engine for Java 
applications and applets. Graphical User Interfaces 
are described in XML documents that are parsed at 
runtime and rendered into javax.swing objects. 
Depending on the application, XML descriptors may 
be deployed with the remaining code or loaded from 
a remote server at runtime. This late binding of the 
GUI has many advantages. Enabling features in an 
application based on a license code or a user's role 
does not have to be hard coded anymore. Instead an 
XML document describing the application's GUI could 
be dynamically loaded.
Generating the GUI based on descriptors also has some 
of the advantages that code generators provide, but 
without generating the none-maintainable code. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
Documents for %{name}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation

%description demo
Samples for %{name}.

%prep
%setup -q -n %{name}_144
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
rm src/org/swixml/MacApp.java

%patch0 -b .sav
%patch1 -b .sav

%build
export CLASSPATH=$(build-classpath jdom)
ant  -Dbuild.sysclasspath=first package javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# examples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
cp -pr samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
cp -p *.txt $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
cp -pr build/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tagdocs
cp -pr build/tagdocs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tagdocs

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%{_javadir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}

%files demo
%{_docdir}/%{name}-%{version}
%{_datadir}/%{name}/samples

%changelog
* Mon Jun 04 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.5-alt1_0.b144.1jpp1.7
- converted from JPackage by jppimport script

